"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.baseAction = void 0;
const state_1 = require("../Item/state");
const baseAction = async (state, setState, setLastState, index, setIndex, setLastIndex, action, ...args) => {
    setState(state);
    setIndex(index);
    const result = action ? await action(...args, state, index) : undefined;
    setLastState(state);
    setLastIndex(index);
    setState(state_1.State.NONE);
    setIndex(undefined);
    return result;
};
exports.baseAction = baseAction;
//# sourceMappingURL=util.js.map