"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const styled_components_1 = require("styled-components");
const styles_1 = require("./styles");
const Collapsible = (props) => {
    const [open, setOpen] = (0, react_usestateref_1.default)(false);
    const [height, setHeight] = (0, react_usestateref_1.default)(0);
    const ref = (0, react_1.useRef)(null);
    //   const [display, setDisplay] = useState('none');
    const [animationTime, _setAnimationTime] = (0, react_usestateref_1.default)(props.animationTime || 0.5);
    const [animationDelay, _setAnimationDelay] = (0, react_usestateref_1.default)(props.animationDelay || 0);
    (0, react_1.useEffect)(() => {
        setHeight(ref?.current?.clientHeight);
    });
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { style: { display: 'flex' }, onClick: () => (props.wholeClick ? setOpen(!open) : undefined) },
            react_1.default.createElement("div", { onClick: () => props.before && !props.wholeClick ? setOpen(!open) : undefined }, props.before
                ? react_1.default.cloneElement(props.before, { open })
                : undefined),
            props.trigger,
            react_1.default.createElement("div", { onClick: () => props.after && !props.wholeClick ? setOpen(!open) : undefined }, props.after ? react_1.default.cloneElement(props.after, { open }) : undefined)),
        react_1.default.createElement(styles_1.CollapsibleElement, { time: animationTime, delay: animationDelay, className: open ? 'openned' : 'closed', contentHeight: height },
            react_1.default.createElement("div", { ref: ref }, props?.children))));
};
exports.default = (0, styled_components_1.withTheme)(Collapsible);
//# sourceMappingURL=index.js.map