"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const styled_components_1 = require("styled-components");
// import SwipeableStyledListItem from './swipeableStyledListItem';
// import {
//   LeadingActions,
//   TrailingActions,
//   Type as ListType,
// } from 'react-swipeable-list';
const state_1 = require("./state");
const Animation_1 = __importDefault(require("../../Loading/Animation"));
const styles_1 = require("../../Loading/Animation/styles");
const styles_2 = require("./styles");
const ListItem = (props) => {
    // console.log('Product props', props);
    const [start, setStart] = (0, react_usestateref_1.default)(undefined);
    const [_current, setCurrent] = (0, react_usestateref_1.default)(undefined);
    const [vertical, _setVertical] = (0, react_usestateref_1.default)(props.vertical || false);
    const [swipe, setSwipe] = (0, react_usestateref_1.default)(0);
    const itemRef = (0, react_1.useRef)(null);
    const [state, setState] = (0, react_usestateref_1.default)(state_1.State.NONE);
    const [_lastState, setLastState] = (0, react_usestateref_1.default)(state_1.State.NONE);
    const [_index, _setIndex] = (0, react_usestateref_1.default)(undefined);
    const [_lastIndex, _setLastIndex] = (0, react_usestateref_1.default)(undefined);
    // const [type, _setType] = useState(props.type);
    const [_fullSwipe, _setFullSwipe] = (0, react_usestateref_1.default)(props.fullSwipe);
    const [threshold, _setThreshold] = (0, react_usestateref_1.default)(props?.threshold || 0.3);
    const [_holdThreshold, _setHoldThreshold] = (0, react_usestateref_1.default)(props?.holdThreshold || 1);
    const [_holdTimeout, _setHoldTimeout] = (0, react_usestateref_1.default)(undefined);
    (0, react_1.useEffect)(() => { }, [props.search, props?.setSearch]);
    // @ts-ignore
    const actionSwipeStart = (direction) => {
        console.log('actionSwipeStart', direction);
        if (direction === 'right') {
            setState(state_1.State.LEADING);
        }
        else if (direction === 'left') {
            setState(state_1.State.TRAILING);
        }
    };
    // @ts-ignore
    const actionsWithState = (actions, state) => {
        // console.log('actions', actions);
        return actions?.map?.((action, index) => {
            // console.log('action', action);
            if (action != undefined && state != undefined) {
                // console.log('action', action);
                const newProps = {
                    key: index,
                    ...action.props,
                    state,
                    index,
                };
                const clone = react_1.default.cloneElement(action, newProps);
                // console.log('action clone', clone);
                return clone;
            }
            return undefined;
        });
    };
    // const leadingActions = () => {
    //   console.log(
    //     'leadingActions',
    //     props.leading,
    //     props.leading?.props?.children
    //   );
    //   const actions = actionsWithState(
    //     props.leading?.props?.children != undefined &&
    //       Array.isArray(props.leading?.props?.children)
    //       ? props.leading?.props?.children
    //       : props.leading != undefined
    //       ? [props.leading]
    //       : undefined,
    //     State.LEADING
    //   );
    //   console.log('leadingActions', actions);
    //   return actions && actions?.length > 0 ? (
    //     <LeadingActions>{actions}</LeadingActions>
    //   ) : undefined;
    // };
    // const trailingActions = () => {
    //   const actions = actionsWithState(
    //     props.trailing?.props?.children != undefined &&
    //       Array.isArray(props.trailing?.props?.children)
    //       ? props.trailing?.props?.children
    //       : props.trailing != undefined
    //       ? [props.trailing]
    //       : undefined,
    //     State.TRAILING
    //   );
    //   console.log('trailingActions', actions);
    //   return actions && actions?.length > 0 ? (
    //     <TrailingActions>{actions}</TrailingActions>
    //   ) : undefined;
    // };
    // @ts-ignore
    const changeState = (newState) => {
        setLastState(state);
        setState(newState);
    };
    // const item = (
    //   // @ts-ignore
    //   <SwipeableStyledListItem
    //     key={props.key}
    //     blockSwipe={false}
    //     type={type}
    //     listType={type}
    //     fullSwipe={fullSwipe}
    //     threshold={threshold}
    //     scrollStartThreshold={50}
    //     leadingActions={leadingActions()}
    //     trailingActions={trailingActions()}
    //     onSwipeStart={actionSwipeStart}
    //     onSwipeEnd={() => setState(State.NONE)}
    //   >
    //     <div
    //       style={{ width: '100%', boxSizing: 'border-box' }}
    //       onMouseUp={(event) => {
    //         console.log('Mouse up', state);
    //         clearTimeout(holdTimeout);
    //         setHoldTimeout(undefined);
    //         let result;
    //         if (state == State.HOLD) {
    //           if (props?.onHold != undefined)
    //             result = props?.onHold(state, index, event);
    //         } else {
    //           if (props?.onClick != undefined)
    //             result = props?.onClick(state, index, event);
    //         }
    //         changeState(State.CLICK);
    //         changeState(State.NONE);
    //         // console.log('State', State[state]);
    //         return result;
    //       }}
    //       onMouseDown={() => {
    //         console.log('Mouse down', state);
    //         if (state == State.NONE) {
    //           setHoldTimeout(
    //             setTimeout(() => {
    //               changeState(State.HOLD);
    //             }, 1000 * holdThreshold)
    //           );
    //         }
    //       }}
    //       onMouseLeave={() => {
    //         console.log('Mouse leave', state);
    //         clearTimeout(holdTimeout);
    //         setHoldTimeout(undefined);
    //         if (state == State.HOLD) {
    //           changeState(State.NONE);
    //         }
    //       }}
    //       // onClick={() => {
    //       //   console.log('CLICK', state);
    //       // }}
    //     >
    //       {props.children}
    //     </div>
    //   </SwipeableStyledListItem>
    // );
    const onMove = (event, touch) => {
        const cur = vertical ? event.clientY : event.clientX;
        console.log('onMove', cur, start, event, touch);
        setCurrent(cur);
    };
    const onMouseMove = (event) => onMove(event, false);
    const onTouchMove = (event) => onMove(event, true);
    const onStart = (event, touch) => {
        const sta = vertical ? event.clientY : event.clientX;
        console.log('onStart', sta, event, touch);
        setStart(sta);
        itemRef?.current?.addEventListener(touch ? 'touchmove' : 'mousemove', touch ? onTouchMove : onMouseMove);
        itemRef?.current?.addEventListener(touch ? 'touchcancel' : 'mouseleave', touch ? onTouchLeave : onMouseLeave);
    };
    const onEnd = (event, touch) => {
        console.log('onEnd', event, touch);
        if (start != undefined) {
            setStart(undefined);
            if (swipe < itemRef?.current?.offsetWidth * threshold * -1) {
                setSwipe(-itemRef?.current?.offsetWidth * 2);
                // this.wrapper.style.maxHeight = 0;
                onSwiped(event, touch);
            }
            else {
                setSwipe(0);
            }
            // this.listElement.className = "BouncingListItem";
            // this.listElement.style.transform = `translateX(${swipe}px)`;
        }
        itemRef?.current?.removeEventListener(touch ? 'touchmove' : 'mousemove', touch ? onTouchMove : onMouseMove);
        itemRef?.current?.removeEventListener(touch ? 'touchcancel' : 'mouseleave', touch ? onTouchLeave : onMouseLeave);
    };
    const onSwiped = (_event, _touch) => {
    };
    const onMouseLeave = (event) => onLeave(event, false);
    const onTouchLeave = (event) => onLeave(event, true);
    const onLeave = (_event, touch) => {
        // console.log('onLeave', event, touch);
        setStart(undefined);
        itemRef?.current?.removeEventListener(touch ? 'touchmove' : 'mousemove', touch ? onTouchMove : onMouseMove);
    };
    const item = (react_1.default.createElement(styles_2.Wrapper, null,
        react_1.default.createElement(styles_2.Leading, null, props?.leading),
        react_1.default.createElement(styles_2.Trailing, null, props?.trailing),
        react_1.default.createElement(styles_2.Item, { ref: itemRef, onMouseDown: onStart, onMouseUp: onEnd, 
            // onMouseLeave={onLeave}
            // onMouseMove={onMove}
            onTouchStart: (event) => onStart(event, true), onTouchEnd: (event) => onEnd(event, true) }, props?.children)));
    return state == state_1.State.HOLD ? (react_1.default.createElement(Animation_1.default, { crude: true, Animation: (0, styled_components_1.withTheme)(styles_1.Hitting), style: { width: '100%' } }, item)) : (react_1.default.createElement(react_1.default.Fragment, null, item));
};
exports.default = (0, styled_components_1.withTheme)(ListItem);
//# sourceMappingURL=index.js.map