"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_swipeable_list_1 = require("react-swipeable-list");
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const styled_components_1 = require("styled-components");
const styles_1 = require("./styles");
const List = (props) => {
    const [fullSwipe, setFullSwipe] = (0, react_usestateref_1.default)(props?.fullSwipe);
    const [threshold, setThreshold] = (0, react_usestateref_1.default)(props?.threshold || 0.3);
    (0, react_1.useEffect)(() => {
        setFullSwipe(props?.fullSwipe);
    }, [props?.fullSwipe]);
    (0, react_1.useEffect)(() => {
        setThreshold(props?.threshold || 0.3);
    }, [props?.threshold]);
    const passProps = (elements) => {
        // console.log('list passProps', elements, toggleIndexes, openIndexes, closeIndexes, noClickIndexes);
        return (elements &&
            react_1.default.Children.map(elements, (child, index) => {
                const newProps = {
                    index,
                    ...elements?.props,
                    fullSwipe,
                    threshold,
                };
                const cloneChild = react_1.default.cloneElement(child, newProps);
                return cloneChild;
            }));
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(styles_1.ListHolder, { className: "basic-swipeable-list__container", style: { width: '100%' } },
            react_1.default.createElement(react_swipeable_list_1.SwipeableList, { fullSwipe: fullSwipe != undefined ? fullSwipe : true, threshold: threshold, type: react_swipeable_list_1.Type.IOS }, passProps(props?.children)))));
};
exports.default = (0, styled_components_1.withTheme)(List);
//# sourceMappingURL=index.js.map